/* Scrutari - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets;

import javax.servlet.ServletContext;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletContextListener;


/**
 *
 * @author Vincent Calame
 */
public class ServletContextListenerImpl implements ServletContextListener {

    public ServletContextListenerImpl() {
    }

    @Override
    public void contextInitialized(ServletContextEvent sce) {
        ServletContext servletContext = sce.getServletContext();
        String scrutariConfFileString = servletContext.getInitParameter("scrutariConfFile");
        if (scrutariConfFileString != null) {
            scrutariConfFileString = scrutariConfFileString.trim();
            if (scrutariConfFileString.length() == 0) {
                scrutariConfFileString = null;
            }
        }
        ScrutariContext scrutariContext = new ScrutariContext(scrutariConfFileString);
        scrutariContext.reload();
        servletContext.setAttribute(ScrutariContext.SCRUTARICONTEXT_KEY, scrutariContext);
    }

    @Override
    public void contextDestroyed(ServletContextEvent sce) {
        ScrutariContext scrutariContext = ScrutariContext.getScrutariContext(sce.getServletContext());
        scrutariContext.contextDestroyed();
    }

}
