/* Scrutari - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.SctServer;
import fr.exemole.sctserver.api.storage.LogStorage;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.primitives.DateInteger;


/**
 *
 * @author Vincent Calame
 */
public class JournalPage extends AdminHtmlPage {

    private final int dateInteger;

    public JournalPage(SctServer sctServer, int dateInteger) {
        init(sctServer);
        this.dateInteger = dateInteger;
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTools();
        startH1(null);
        append(DateInteger.toString(dateInteger));
        endH1();
        LogStorage logStorage = sctServer.getSctServerStorage().getLogStorage();
        int[] jourArray = logStorage.getDateIntegerArray(DateInteger.TYPE_JOUR, dateInteger);
        int length = jourArray.length;
        for (int i = 0; i < length; i++) {
            printJour(jourArray[i], logStorage);
        }
        end();
    }

    private void printJour(int jour, LogStorage logStorage) {
        startH2(null);
        append(String.valueOf(DateInteger.getJour(jour)));
        endH2();
        String content = logStorage.getQLog(jour);
        startPre(null);
        escape(content, true);
        endPre();
    }

}
