/* Scrutari - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.SctServer;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.primitives.DateInteger;


/**
 *
 * @author Vincent Calame
 */
public class JournauxPage extends AdminHtmlPage {

    public JournauxPage(SctServer sctServer) {
        init(sctServer);
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTools();
        int[] moisArray = sctServer.getSctServerStorage().getLogStorage().getDateIntegerArray(DateInteger.TYPE_MOIS, 0);
        startH1(null);
        localize("title_journaux_month");
        endH1();
        HTMLAttributes aAttr = HA.href("");
        for (int i = 0; i < moisArray.length; i++) {
            int mois = moisArray[i];
            String moisString = DateInteger.toString(mois);
            String href = "journal_" + moisString + ".html";
            startP();
            startA(aAttr.href(href));
            append(moisString);
            endA();
            endP();
        }
        end();
    }

}
