/* Scrutari - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.explore.htmlpages;

import fr.exemole.sctserver.SctServer;
import java.io.IOException;
import java.util.List;
import javax.servlet.http.HttpServletResponse;
import net.scrutari.supermotcle.api.Supermotcle;
import net.scrutari.supermotcle.api.SupermotcleProvider;
import net.scrutari.supermotcle.api.SupermotcleMap;


/**
 *
 * @author Vincent Calame
 */
public class SupermotcleListePage extends ExploreHtmlPage {

    private int libLangInteger;

    public SupermotcleListePage(SctServer sctServer, int libLangInteger) {
        super(sctServer);
        this.libLangInteger = libLangInteger;
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        SupermotcleProvider supermotcleProvider = sctServer.getScrutariSession().getSupermotcleProvider();
        SupermotcleMap supermotcleMap = supermotcleProvider.getSupermotcleMap(libLangInteger);
        initResponse(response);
        start();
        if (supermotcleMap == null) {
            escape("Rien pour cette langue");
        } else {
            printSupermotcleMap(supermotcleMap);
        }
        end();
    }

    private void printSupermotcleMap(SupermotcleMap supermotcleMap) throws IOException {
        List<Supermotcle> list = supermotcleMap.getSupermotcleList(null);
        for (Supermotcle supermotcle : list) {
            append(String.valueOf(supermotcle.getCode()));
            append(";");
            escape(supermotcle.getCollationUnit().getSourceString());
            append(";");
            append(String.valueOf(supermotcle.getCodemotcleList().getCodeCount()));
            append(";");
            append(String.valueOf(supermotcle.getIndexationCount()));
            /*append("|");
             List list2 = supermotcle.getCodemotcleList();
             for(Iterator it2 = list2.iterator(); it2.hasNext();) {
             Integer itg = (Integer) it2.next();
             append(itg.toString());
             append("|");
             }*/
            appendBr();
        }
    }

}
