/* Scrutari - Copyright (c) 2009-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.global;

import fr.exemole.sctserver.servlets.ScrutariContext;
import fr.exemole.sctserver.servlets.global.htmlpages.IndexPage;
import fr.exemole.sctserver.servlets.global.htmlpages.ListPage;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.localisation.LocalisationInfo;
import net.mapeadores.util.servlets.ResponseHandler;


/**
 *
 * @author Vincent Calame
 */
public class GlobalRequest implements GlobalConstants {

    private boolean isInit = false;
    private boolean reloadRequest = false;
    private short responseHandlerType;
    private LocalisationInfo localisationInfo = new LocalisationInfo(LangInteger.build("fr"));
    private ScrutariContext scrutariContext;

    private GlobalRequest(String path) {
        if (path.equals("/")) {
            responseHandlerType = INDEX_PAGE;
            isInit = true;
        } else if (path.equals("/Reload")) {
            responseHandlerType = LIST_PAGE;
            reloadRequest = true;
            isInit = true;
        }
    }

    public static GlobalRequest init(String path) {
        GlobalRequest globalRequest = new GlobalRequest(path);
        if (globalRequest.isInit) {
            return globalRequest;
        } else {
            return null;
        }
    }

    public void run(ScrutariContext scrutariContext) {
        this.scrutariContext = scrutariContext;
        if (reloadRequest) {
            scrutariContext.reload();
        }
    }

    public ResponseHandler getResponsePrinter() {
        switch (responseHandlerType) {
            case INDEX_PAGE:
                return new IndexPage(scrutariContext, localisationInfo);
            case LIST_PAGE:
                return new ListPage(scrutariContext, localisationInfo);
            default:
                return null;
        }
    }

}
