/* Scrutari - Copyright (c) 2009-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.global.htmlpages;

import fr.exemole.sctserver.servlets.ScrutariContext;
import java.io.IOException;
import java.util.List;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.localisation.LocalisationInfo;


/**
 *
 * @author Vincent Calame
 */
public class ListPage extends GlobalHtmlPage {

    public ListPage(ScrutariContext scrutariContext, LocalisationInfo localisationInfo) {
        init(scrutariContext, localisationInfo);
    }

    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        HTMLAttributes pAttr = HA.classes("");
        startP(pAttr.classes("p_Titre"));
        localize("global_maj");
        endP();
        if (scrutariContext.hasError()) {
            startP(pAttr.classes("p_Signal"));
            localize("global_error");
            endP();
            startP(pAttr.classes("p_Erreur"));
            localize(scrutariContext.getErrorMessage());
            endP();
        }
        List<String> nameList = scrutariContext.getNameList();
        int size = nameList.size();
        startP(pAttr.classes("p_Introliste"));
        if (size == 0) {
            localize("global_serveur_aucun");
        } else if (size == 1) {
            localize("global_serveur_un");
        } else {
            localize("global_serveur_plusieurs", new Integer(size));
        }
        endP();
        if (size > 0) {
            startUl();
            for (String name : nameList) {
                startLi();
                escape(name);
                endLi();
            }
            endUl();
        }
        end();
    }

}
