/* ScrutariLib_DB - Copyright (c) 2010-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.api;

import net.scrutari.data.BaseData;
import net.scrutari.data.CorpusData;
import net.scrutari.data.FicheData;
import net.scrutari.data.MotcleData;
import net.scrutari.data.ThesaurusData;
import net.scrutari.datauri.ScrutariDataURI;
import net.scrutari.db.api.codes.CodeList;
import net.scrutari.db.api.codes.IndexationCodeList;


/**
 *
 * @author Vincent Calame
 */
public interface DataAccess {

    public final static short FICHE_DATE_INTVALUE = 1;
    public final static short FICHE_LANG_INTVALUE = 2;

    public int getBaseCount();

    public int getCorpusCount();

    public int getThesaurusCount();

    public int getCode(ScrutariDataURI scrutariDataURI);

    /**
     * La nature de l'objet dépend de la classe de scrutariDataURI
     * BaseURi = BaseData, CorpusURI = CorpusData, ThesaurusURI = thesaurusData, FicheURI = ficheData, MotcleURI = MotcleData
     */
    public Object getScrutariData(ScrutariDataURI scrutariDataURI);

    public BaseData getBaseDataByCode(int codebase);

    public BaseData getBaseDataByIndex(int index);

    public CorpusData getCorpusDataByCode(int codecorpus);

    public CorpusData getCorpusDataByIndex(int index);

    public CodeList getCorpusCodeList();

    public ThesaurusData getThesaurusDataByCode(int codethesaurus);

    public ThesaurusData getThesaurusDataByIndex(int index);

    public CodeList getThesaurusCodeList();

    public MotcleData getMotcleDataByCode(int codemotcle);

    public FicheData getFicheDataByCode(int codefiche);

    public int getIntValue(short type, int code);

    public IndexationCodeList getIndexationCodeList(int elementCode, int subsetCode);

    public void close();

}
