/* ScrutariLib_SearchEngine - Copyright (c) 2011-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.tools.result;

import java.util.ArrayList;
import net.scrutari.searchengine.api.result.FicheSearchResultGroup;
import net.scrutari.searchengine.api.result.FicheSearchResultInfo;


/**
 *
 * @author Vincent Calame
 */
public class FicheSearchResultGroupBuilder {

    private InternalFicheSearchResultGroup ficheSearchResultGroup = new InternalFicheSearchResultGroup();
    private ArrayList<FicheSearchResultInfo> infoList = new ArrayList<FicheSearchResultInfo>();

    public FicheSearchResultGroupBuilder() {
    }

    public void setCorpusClasseRank(int corpusClasseRank) {
        ficheSearchResultGroup.corpusClasseRank = corpusClasseRank;
    }
    
    public void ensureInfoCapacity(int size) {
        infoList.ensureCapacity(size);
    }
    
    public void addFicheSearchResultInfo(FicheSearchResultInfo ficheSearchResultInfo) {
        infoList.add(ficheSearchResultInfo);
    }

    public FicheSearchResultGroup toFicheSearchResultGroup() {
        ficheSearchResultGroup.ficheSearchResultInfoArray = infoList.toArray(new FicheSearchResultInfo[infoList.size()]);
        return ficheSearchResultGroup;
    }


    private static class InternalFicheSearchResultGroup implements FicheSearchResultGroup {

        private int corpusClasseRank;
        private FicheSearchResultInfo[] ficheSearchResultInfoArray;

        private InternalFicheSearchResultGroup() {
        }

        public int getCorpusClasseRank() {
            return corpusClasseRank;
        }

        public int getFicheSearchResultInfoCount() {
            return ficheSearchResultInfoArray.length;
        }

        public FicheSearchResultInfo getFicheSearchResultInfo(int i) {
            return ficheSearchResultInfoArray[i];
        }

    }

}
