/* SctServer - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver;

import net.mapeadores.util.logging.ProcessMessageHandler;
import org.xml.sax.SAXException;


/**
 *
 * @author Vincent Calame
 */
public class ErrorUtils {

    private ErrorUtils() {
    }

    public static void saxException(ProcessMessageHandler handler, SAXException saxe) {
        handler.addMessage(SctServer.MALFORMED_XML_CATEGORY, SctServerLog.SEVERE_DATA_BASEFILE_XML, saxe.getMessage());
    }

    public static void unknownTagWarning(ProcessMessageHandler handler, String tagName) {
        handler.addMessage(SctServer.WARNING_CATEGORY, "unknownTag", tagName);
    }

    public static void emptyAttributeError(ProcessMessageHandler handler, String tagName, String attributeName) {
        handler.addMessage(SctServer.SEVERE_CATEGORY, "emptyAttribute", tagName + "@" + attributeName);
    }

    public static void emptyElementError(ProcessMessageHandler handler, String tagName) {
        handler.addMessage(SctServer.SEVERE_CATEGORY, "emptyElement", tagName);
    }

    public static void uriSyntaxError(ProcessMessageHandler handler, String uriString) {
        handler.addMessage(SctServer.SEVERE_CATEGORY, "uriSyntaxError", uriString);
    }

}
