/* SctServer_API - Copyright (c) 2009-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.conf;

import fr.exemole.sctserver.api.feed.SctFeedMetadata;
import java.util.Map;
import net.mapeadores.util.attr.AttributeDefList;
import net.mapeadores.util.text.UrlKey;
import net.scrutari.db.api.codes.ScrutariDataURICodeList;
import net.scrutari.searchengine.api.options.CorpusClasse;
import net.scrutari.searchengine.api.options.PertinencePonderation;


/**
 *
 * @author Vincent Calame
 */
public interface ConfDirectory extends ConfConstants {

    public UrlKey[] getInfoUrlKeyArray();

    public CorpusClasse[] getCorpusClasseArray();

    public PertinencePonderation getGlobalPertinencePonderation();

    public ConfFileInfo getConfFileInfo(String name);

    public void reload() throws ConfIOException;

    public ScrutariDataURICodeList getInitialScrutariDataURICodeList();

    public SctFeedMetadata getSctFeedMetadata();

    public Map<String, AttributeDefList> getAttributeDefListMap();

}
