/* SctServer_API - Copyright (c) 2009 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.conf;

import java.io.IOException;
import javax.xml.parsers.ParserConfigurationException;


/**
 *
 * @author Vincent Calame
 */
public class ConfIOException extends Exception {

    private String cause = "";

    public ConfIOException(String message) {
        super(message);
    }

    public ConfIOException(IOException ioException) {
        super(ioException);
        cause = "IOException";
    }

    public ConfIOException(SecurityException se) {
        super(se);
        cause = "SecurityException";
    }

    public ConfIOException(ParserConfigurationException pce) {
        super(pce);
        cause = "ParseConfigurationException";
    }

    public String getFullMessage() {
        if (cause.length() > 0) {
            return cause + " - " + getMessage();
        }
        return getMessage();
    }

}
