/* SctServer - Copyright (c) 2007 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request.simple;


/**
 *
 * @author Vincent Calame
 */
public class SimpleParameterErrorException extends Exception {

    public static short UNDEFINED_PARAMETER = 1;
    public static short WRONG_PARAMETER = 2;
    public static short NOTINTEGER_PARAMETER = 3;
    public static short EMPTY_SEARCHSEQUENCE_PARAMETER = 10;
    public static short UNKNWON_CORPUSCODE_PARAMETER = 11;
    public static short UNKNWON_BASECODE_PARAMETER = 12;
    public static short UNKNWON_THESAURUSCODE_PARAMETER = 13;
    public static short UNKNWON_IDRECHERCHE_PARAMETER = 14;
    public static short MISSING_PARAMETER = 99;
    private String parameterName;
    private String parameterValue;
    private short type;

    public SimpleParameterErrorException() {
        this.type = MISSING_PARAMETER;
    }

    public SimpleParameterErrorException(String parameterName) {
        this.parameterName = parameterName;
        this.type = UNDEFINED_PARAMETER;
    }

    public SimpleParameterErrorException(short type, String parameterName, String parameterValue) {
        this.type = type;
        this.parameterName = parameterName;
        this.parameterValue = parameterValue;
    }

    public String getParameterName() {
        return parameterName;
    }

    public String getParameterValue() {
        return parameterValue;
    }

    public short getType() {
        return type;
    }

}
