/* SctServer - Copyright (c) 2009-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request.simple.catalog;

import fr.exemole.sctserver.api.ScrutariSession;
import fr.exemole.sctserver.request.simple.SimpleRequest;
import java.io.IOException;
import java.io.PrintWriter;
import net.scrutari.searchengine.api.options.CorpusClasse;
import net.scrutari.searchengine.api.options.GlobalSearchOptions;


/**
 *
 * @author Vincent Calame
 */
public class ClasseRequest extends SimpleRequest {

    private final int uiLangInteger;
    private final GlobalSearchOptions globalSearchOptions;

    public ClasseRequest(ScrutariSession scrutariSession, int uiLangInteger) {
        super(scrutariSession.getScrutariDB());
        this.globalSearchOptions = scrutariSession.getGlobalSearchOptions();
        this.uiLangInteger = uiLangInteger;
    }

    @Override
    public void printResponse(PrintWriter pw) throws IOException {
        int classeCount = globalSearchOptions.getCorpusClasseCount();
        for (int i = 0; i < classeCount; i++) {
            CorpusClasse corpusClasse = globalSearchOptions.getCorpusClasse(i);
            printCorpusClasse(pw, corpusClasse);
        }

    }

    private void printCorpusClasse(PrintWriter pw, CorpusClasse corpusClasse) throws IOException {
        pw.print("#c");
        pw.print('\n');
        pw.print("clval=");
        pw.print(corpusClasse.getRank());
        pw.print('\n');
        String lib = corpusClasse.getLibelleString(uiLangInteger, false);
        if (lib == null) {
            lib = String.valueOf(corpusClasse.getRank());
        }
        pw.print("cllib=");
        pw.print(lib);
        pw.print('\n');
    }

}
