/* SctServer - Copyright (c) 2008-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request.simple.catalog;

import fr.exemole.sctserver.request.simple.SimpleRequest;
import java.io.IOException;
import java.io.PrintWriter;
import net.mapeadores.util.langinteger.LangInteger;
import net.mapeadores.util.langinteger.LangIntegerUtils;
import net.scrutari.db.ScrutariDB;
import net.scrutari.searchengine.QId;
import net.scrutari.searchengine.api.operands.search.QInfo;
import net.scrutari.searchengine.api.options.SearchOptions;
import net.scrutari.searchengine.api.result.FicheSearchResult;
import net.scrutari.searchengine.api.result.FicheSearchSource;


/**
 *
 * @author Vincent Calame
 */
public class SearchHeaderRequest extends SimpleRequest {

    private FicheSearchResult searchResult;

    public SearchHeaderRequest(ScrutariDB scrutariDB, FicheSearchResult searchResult) {
        super(scrutariDB);
        this.searchResult = searchResult;
    }

    @Override
    public void printResponse(PrintWriter pw) throws IOException {
        FicheSearchSource ficheSearchSource = searchResult.getFicheSearchSource();
        QInfo qInfo = ficheSearchSource.getQInfo();
        SearchOptions searchOptions = ficheSearchSource.getSearchOptions();
        pw.print("#h");
        pw.print('\n');
        pw.print("chrch=");
        pw.print(qInfo.getQ());
        pw.print('\n');
        QId qId = ficheSearchSource.getQId();
        if (qId != null) {
            pw.print("idrch=");
            pw.print(qId.toString());
        }
        pw.print('\n');
        pw.print("lngsq=");
        pw.print(qInfo.getQLength());
        pw.print('\n');
        pw.print("lgrch=");
        int[] langIntegerArray = searchOptions.getLangIntegerArray();
        if (langIntegerArray != null) {
            pw.print(LangIntegerUtils.toString(langIntegerArray, ','));
            pw.print('\n');
        } else {
            pw.print('\n');
        }
        pw.print("ttfch=");
        pw.print(searchResult.getFicheCount());
        pw.print('\n');
        pw.print("tpfch=");
        pw.print(searchResult.getFicheMaximum());
        pw.print('\n');
        pw.print("ttmtc=");
        pw.print(searchResult.getMotcleCount());
        pw.print('\n');
        pw.print("tcmtc=");
        pw.print(searchResult.getMotcleCount());
        pw.print('\n');
        pw.print("lagui=");
        pw.print(LangInteger.toString(searchOptions.getLangUi()));
        pw.print('\n');
    }

}
