/* SctServer - Copyright (c) 2007-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request.simple.catalog;

import net.scrutari.datauri.ThesaurusURI;
import net.scrutari.data.BaseData;
import net.scrutari.db.api.DataAccess;
import net.scrutari.db.ScrutariDB;
import fr.exemole.sctserver.request.simple.SimpleRequest;
import java.io.IOException;
import java.io.PrintWriter;


/**
 *
 * @author Vincent Calame
 */
public class ThesaurusChiffreRequest extends SimpleRequest {

    private int codeBase;
    private String nomThesaurus;

    public ThesaurusChiffreRequest(ScrutariDB scrutariDB, int codeBase, String nomThesaurus) {
        super(scrutariDB);
        this.codeBase = codeBase;
        this.nomThesaurus = nomThesaurus;
    }

    public void printResponse(PrintWriter pw) throws IOException {
        DataAccess dataAccess = scrutariDB.openDataAccess();
        BaseData baseData = dataAccess.getBaseDataByCode(codeBase);
        ThesaurusURI thesaurusURI = new ThesaurusURI(baseData.getBaseURI(), nomThesaurus);
        pw.print(dataAccess.getCode(thesaurusURI));
        dataAccess.close();
    }

}
