/* SctServer - Copyright (c) 2007-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request.simple.catalog;

import fr.exemole.sctserver.request.simple.SimpleRequest;
import java.io.IOException;
import java.io.PrintWriter;
import net.scrutari.db.ScrutariDB;
import net.scrutari.db.api.DataAccess;
import net.scrutari.db.api.codes.CodeList;
import net.scrutari.db.tools.util.DataUtils;


/**
 *
 * @author Vincent Calame
 */
public class TotalParBaseRequest extends SimpleRequest {

    private int[] langIntegerArray;
    private CodeList baseCodeList;

    public TotalParBaseRequest(ScrutariDB scrutariDB, CodeList baseCodeList, int[] langIntegerArray) {
        super(scrutariDB);
        this.langIntegerArray = langIntegerArray;
        this.baseCodeList = baseCodeList;
    }

    public void printResponse(PrintWriter pw) throws IOException {
        DataAccess dataAccess = scrutariDB.openDataAccess();
        pw.print(DataUtils.getFicheCountByBase(dataAccess, baseCodeList, langIntegerArray));
        dataAccess.close();
    }

}
