/* SctServer - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.tools.feed;

import net.scrutari.data.BaseData;
import net.scrutari.db.tools.util.BaseCheck;
import net.scrutari.db.tools.util.LibelleUtils;


/**
 *
 * @author Vincent Calame
 */
public class BaseWrapper {

    private final BaseData baseData;
    private final String shortLibelleString;
    private final String longLibelleString;
    private final BaseCheck baseCheck;

    private BaseWrapper(BaseData baseData, BaseCheck baseCheck, String shortLibelleString, String longLibelleString) {
        this.baseData = baseData;
        this.shortLibelleString = shortLibelleString;
        this.longLibelleString = longLibelleString;
        this.baseCheck = baseCheck;
    }

    public int getCodeBase() {
        return baseData.getCodeBase();
    }

    public BaseCheck getBaseCheck() {
        return baseCheck;
    }

    public String getShortLibelleString() {
        return shortLibelleString;
    }

    public String getLongLibelleString() {
        return longLibelleString;
    }

    public static BaseWrapper wrapBase(BaseData baseData, int langUi) {
        String shortLibelleString = LibelleUtils.getLibelleString(baseData, BaseData.INTITULE_SHORT, langUi, baseData.getBaseURI().getBaseName());
        String longLibelleString = LibelleUtils.getLibelleString(baseData, BaseData.INTITULE_LONG, langUi, baseData.getBaseURI().getBaseName());
        BaseCheck baseCheck = BaseCheck.check(baseData, langUi);
        return new BaseWrapper(baseData, baseCheck, shortLibelleString, longLibelleString);
    }

}
