/* SctServer - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.tools.feed;

import net.scrutari.data.ThesaurusData;
import net.scrutari.db.tools.util.LibelleUtils;


/**
 *
 * @author Vincent Calame
 */
public final class ThesaurusWrapper {

    private final ThesaurusData thesaurusData;
    private final String libelleString;

    private ThesaurusWrapper(ThesaurusData thesaurusData, String libelleString) {
        this.thesaurusData = thesaurusData;
        this.libelleString = libelleString;
    }

    public int getCodeThesaurus() {
        return thesaurusData.getCodeThesaurus();
    }

    public String getLibelleString() {
        return libelleString;
    }

    public static ThesaurusWrapper wrapThesaurus(ThesaurusData thesaurusData, int langUi) {
        String libelleString = LibelleUtils.getLibelleString(thesaurusData, langUi, thesaurusData.getThesaurusURI().getThesaurusName());
        return new ThesaurusWrapper(thesaurusData, libelleString);
    }

}
