/* UtilLib - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.io;


/**
 *
 * @author Vincent Calame
 */
public class MimeTypeUtils implements MimeTypeConstants {

    private MimeTypeUtils() {
    }

    /**
     * Retourne UTF-8 s'il s'agit d'un fichier que l'on peut traiter comme du
     * texte null sinon
     */
    public static String getDefaultCharset(String mimeType) {
        if (mimeType.startsWith("text/")) {
            return "UTF-8";
        }
        if (mimeType.contains("xml")) {
            return "UTF-8";
        }
        if (mimeType.equals(MimeTypeConstants.JAVASCRIPT)) {
            return "UTF-8";
        }
        if (mimeType.equals(MimeTypeConstants.JSON)) {
            return "UTF-8";
        }
        return null;
    }

}
