/* UtilLib - Copyright (c) 2012-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.logging;


/**
 *
 * @author Vincent Calame
 */
public class ErrorMessageException extends Exception {

    private CommandMessage errorMessage;

    public ErrorMessageException(String key, Object value) {
        super(key);
        this.errorMessage = CommandMessage.error(key, value);
    }

    public ErrorMessageException(CommandMessage errorMessage) {
        super(errorMessage.getMessageKey());
        if (!errorMessage.isErrorMessage()) {
            this.errorMessage = CommandMessage.error(errorMessage);
        } else {
            this.errorMessage = errorMessage;
        }
    }

    public CommandMessage getErrorMessage() {
        return errorMessage;
    }

}
