/* UtilLib - Copyright (c) 2005-2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.text;


/**
 *
 *Correspondance de valeur avec ConditionsConstant
 *
 * @author Vincent Calame
 */
public final class TextConstants {

    public final static int CONTAINS = 3;
    public final static int MATCHES = 0;
    public final static int ENDSWITH = 2;
    public final static int STARTSWITH = 1;
    public final static short OR = 1;
    public final static short AND = 2;

    private TextConstants() {
    }

    public static String toString(int type) {
        switch (type) {
            case CONTAINS:
                return "contains";
            case MATCHES:
                return "matches";
            case ENDSWITH:
                return "endswith";
            case STARTSWITH:
                return "startswith";
            default:
                throw new IllegalArgumentException("bad type value");
        }
    }

    public static short toShort(String typeString) {
        if (typeString.equals("contains")) {
            return CONTAINS;
        } else if (typeString.equals("matches")) {
            return MATCHES;
        } else if (typeString.equals("endswith")) {
            return ENDSWITH;
        } else if (typeString.equals("startswith")) {
            return STARTSWITH;
        } else {
            throw new IllegalArgumentException("bad type value");
        }
    }

}
