/* UtilLib - Copyright (c) 2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml;

import java.io.IOException;


/**
 *
 * @author Vincent Calame
 */
public class AppendableXMLPart extends XMLPart implements AppendableXMLWriter {

    private AppendableXMLWriter appendableXmlWriter;

    public AppendableXMLPart(AppendableXMLWriter xmlWriter) {
        super(xmlWriter);
        this.appendableXmlWriter = xmlWriter;
    }

    public AppendableXMLWriter getAppendableXMLWriter() {
        return appendableXmlWriter;
    }

    public void append(char c) throws IOException {
        appendableXmlWriter.append(c);
    }

    public void append(CharSequence charSequence) throws IOException {
        appendableXmlWriter.append(charSequence);
    }

    public void appendIndent() throws IOException {
        appendableXmlWriter.appendIndent();
    }

    public void appendXMLDeclaration() throws IOException {
        appendableXmlWriter.appendXMLDeclaration();
    }

    public int getCurrentIndentValue() {
        return appendableXmlWriter.getCurrentIndentValue();
    }

}
