/* UtilLib - Copyright (c) 2008-2012 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.xml.xsltpattern;

import net.mapeadores.util.text.insertpattern.api.InstructionErrorHandler;


/**
 *
 * @author Vincent Calame
 */
public class XSLTPatternErrorHandler implements InstructionErrorHandler {

    private StringBuilder errorBuffer = new StringBuilder();
    private StringBuilder warningBuffer = new StringBuilder();

    public XSLTPatternErrorHandler() {
    }

    public void characterError(char carac, String key, int row, int col) {
        if (errorBuffer.length() > 0) {
            errorBuffer.append('\n');
        }
        errorBuffer.append(row + "," + col + " / " + key + " / " + carac);
    }

    public void warning(String key, int row, int col) {
        if (warningBuffer.length() > 0) {
            warningBuffer.append('\n');
        }
        warningBuffer.append(row + "," + col + " / " + key);
    }

    public boolean hasError() {
        return (errorBuffer.length() > 0);
    }

    public boolean hasWarning() {
        return (warningBuffer.length() > 0);
    }

    public String getPatternError() {
        return errorBuffer.toString();
    }

    public String getPatternWarning() {
        return warningBuffer.toString();
    }

}
